///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// Copyright (C) 2006 by Intel Coproration and Carnegie Mellon University    //
// Contacts: casey.j.helfrich @ intel.com                                    //
//           bdr @ cs.cmu.edu                                                //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////

#ifndef __RANDOMVALUE_H
#define __RANDOMVALUE_H

#include "CodeModule.hxx"
#include "CatomWorld.hxx"

CODE_MODULE_PROTOTYPE( RandomValue, RandomValue );
using namespace std;

extern CatomWorld *worldPtr;

class RandomValue : public CodeModule {
public:
  int  value;
  RandomValue(catomID _hostCatom) :
    CodeModule(_hostCatom)  {}
  virtual void simulationStart();
  virtual void newTick();	
  virtual void endTick();
};

#endif
